Unprototype Calendar (v1)
Open, NormalPublic

Tokens
"Love" token, awarded by tomekj2ee."Like" token, awarded by remusvrm."Love" token, awarded by slashsBin."Mountain of Wealth" token, awarded by exp10r3r."Mountain of Wealth" token, awarded by d.maznekov."Mountain of Wealth" token, awarded by sshannin.
Assigned To
Authored By
epriestley, Apr 26 2015

Description

Umbrella task for moving Calendar from a prototype application to a released application. Major goals are:

  • Modernization (T7926): Calendar uses older infrastructure for some things, and generally hasn't been updated in a while. It should be moved to newer infrastructure and made to work more like other modern applications work. This is at least partially a prerequisite for adding new features.
  • Events (T7932): Calendar started as "Status", which just let you mark yourself away (on vacation, at an offsite, etc). The major immediate goal is to make Calendar work more like a normal calendar application, and let you schedule events (like meetings), invite users, and perform most of the general calendar tasks you'd expect from an application like iCal or Google Calendar. This set of features is a superset of the old "Status" functionality.

Completing those is probably sufficient to move Calendar out of the prototype phase. Some followup goals which may or may not make sense to address in this iteration are:

  • Date Services (T7930): Let other applications show objects on calendars. For example, tasks might have a "Due Date"; projects might have a "Feature Cutoff" date, then a "Gold Master" date, then a "Launch Date". There are various forms this integration might take, but the general goal is to give other applications tools for managing and displaying date and scheudling information.
  • Triggers (T7931): Integrate with trigger infrastructure so that events can send invitees reminders ("You have a meeting in 15 minutes."; "You have a meeting right now."; "You are currently in a meeting.").

Future goals, which probably make sense to push out to a later iteration but may be useful to think about now include:

  • External Integrations (T7929): Integrate Calendar with Google Calendar, support ".ics" exports, etc., so that Calendar can be useful even if you use some other application to manage your calendar.
  • Recurring Events (T2896): Support recurring events.

Related Objects

StatusAssignedTask
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedlpriestley
Openepriestley
Resolvedlpriestley
Resolvedepriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedepriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedchad
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedepriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedchad
Resolvedlpriestley
Resolvedepriestley
Resolvedepriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Duplicatelpriestley
Resolvedlpriestley
ResolvedNone
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
ResolvedSalmonKiller
ResolvedNone
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
ResolvedSalmonKiller
ResolvedSalmonKiller
Resolvedlpriestley
Openlpriestley
DuplicateNone
DuplicateNone
Resolvedepriestley
Duplicatelpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Openlpriestley
Resolvedlpriestley
Resolvedepriestley
Resolvedepriestley
ResolvedNone
epriestley updated the task description. (Show Details)
epriestley raised the priority of this task from to Normal.
epriestley assigned this task to lpriestley.
epriestley added a project: Calendar.
epriestley added a subscriber: epriestley.
epriestley added a subtask: Restricted Maniphest Task.Apr 26 2015, 5:22 AM
epriestley updated the task description. (Show Details)Apr 26 2015, 5:25 AM
epriestley moved this task from Backlog to Unprototype (v1) on the Calendar board.Apr 26 2015, 6:01 AM

Most of this is blocked by T5464, which is large and complex. A reasonable implementation path which might make sense overall while letting you ease into things without tackling T5464 right away is:

chad added a subscriber: chad.Apr 29 2015, 1:09 AM
eadler added a subscriber: eadler.Apr 29 2015, 6:13 AM
gp added a subscriber: gp.May 1 2015, 3:51 AM
lpriestley moved this task from Backlog to Future Work (v2+) on the Calendar board.May 1 2015, 2:17 PM
lpriestley moved this task from Future Work (v2+) to Backlog on the Calendar board.
lpriestley closed subtask Restricted Maniphest Task as Resolved.Jun 23 2015, 4:16 PM
srijan added a subscriber: srijan.Jul 26 2015, 4:17 PM
aik099 added a subscriber: aik099.Aug 18 2015, 2:46 PM
timor added a subscriber: timor.Sep 23 2015, 8:33 AM
revi added a subscriber: revi.Oct 3 2015, 6:08 PM
aHa added a subscriber: aHa.Oct 5 2015, 8:53 PM
cmmata added a subscriber: cmmata.Feb 16 2016, 9:15 AM
eadler added a project: Restricted Project.Aug 5 2016, 5:23 PM

When tasks are mentioned in calendar descriptions (afaik very common for meeting agendas), the usual "<user> mentioned this in <place>" does not show up on the task. Is this part of the unprototyping effort?

(Sorry if this is the wrong place to ask about this.)

Ah, thanks! That's a bug which we hadn't run into yet, but it's trivial to fix.

Well, "trivial" might be a little ambitious.

adam93 added a subscriber: adam93.Sep 23 2016, 10:07 PM
epriestley moved this task from Backlog to The Queue on the Prioritized board.Oct 13 2016, 2:20 PM
epriestley claimed this task.
epriestley added a subscriber: lpriestley.
urzds added a subscriber: urzds.Nov 28 2016, 12:41 PM

Is there any way of getting Calendar enabled on a Phacility instance? We're looking to migrate from a self-hosted instance, and it's one of the applications we use to organise meetings, etc.

hskiba added a subscriber: hskiba.Apr 3 2017, 12:22 PM